var url_blogs = "http://blogs.forum.nokia.com/rss.php?summary=1";

var url_dibo = "http://discussion.forum.nokia.com/forum/external.php?type=rss2";

var url_events = "http://www.forum.nokia.com/feeds.html?file=event_feed.rss&title=Forum+Nokia+-+Upcoming+Events";

function loadAtom(url, handler)
{
	var atomHandler = function(xml)
	{
		if(xml)
		{
			var nodes = xml.getElementsByTagName('entry');
			
			var items = new Array();
			
			var node, child, childName;
		
			for(var i = 0; i < nodes.length; i++)
			{
				node = {};
				
				for(var j = 0; j < nodes[i].childNodes.length; j++)
				{
					child = nodes[i].childNodes[j];
					
					childName = child.nodeName;
					
					if(childName == 'title')
					{
						node.title = getNodeValue(child);
					}
					else if(childName == 'summary')
					{
						node.description = getNodeValue(child);
					}
					else if(childName == 'link')
					{
						node.link = child.attributes.getNamedItem('href').nodeValue;
					}
					else if(childName == 'dc:date')
					{
						node.pubDate = getNodeValue(child);
					}
				}
				
				items.push(node);
			}
			handler(items);
		}
		else
		{
			handler(false);
		}
	}
	loadXML(url, atomHandler);
}

function loadRSS(url, handler)
{
	var rssHandler = function(xml)
	{
		if(xml)
		{
			var nodes = xml.getElementsByTagName('item');
			
			var items = new Array();
			
			var node, child, childName;
		
			for(var i = 0; i < nodes.length; i++)
			{
				node = {};
				
				for(var j = 0; j < nodes[i].childNodes.length; j++)
				{
					child = nodes[i].childNodes[j];
					
					childName = child.nodeName;
					
					if(childName == 'title')
					{
						node.title = getNodeValue(child);
					}
					else if(childName == 'description')
					{
						node.description = getNodeValue(child);
					}
					else if(childName == 'link')
					{
						node.link = getNodeValue(child);
					}
					else if(childName == 'pubDate')
					{
						node.pubDate = getNodeValue(child);
					}
					else if(childName == 'dc:date')
					{
						node.pubDate = getNodeValue(child);
					}
					else if(childName == 'category')
					{
						node.category = getNodeValue(child);
						node.categoryDomain = child.attributes.getNamedItem('domain').nodeValue;
					}
					else if(childName == 'dc:creator')
					{
						node.creator = getNodeValue(child);
					}
				}
				
				items.push(node);
			}
			handler(items);
		}
		else
		{
			handler(false);
		}
	}
	loadXML(url, rssHandler);
}
function getNodeValue(node)
{
	var res = '';
	
	for(var i = 0; i < node.childNodes.length; i++)
	{
		res += node.childNodes[i].nodeValue;
	}
	return res;
}

function loadXML(url, handler)
{
	try
	{
		netscape.security.PrivilegeManager.enablePrivilege("UniversalBrowserRead");
	}
	catch(e)
	{
		
	}
	
	try
	{
		var request = new XMLHttpRequest();
		request.open("GET", url, true );
		request.send(null);

		request.onreadystatechange = function(){

			if(request.readyState == 4)
			{
				if(request.status == 200)
				{
					handler(request.responseXML, request.responseText);
				}
				else
				{
					handler(false);
				}
			}
		}
	}
	catch( e )
	{
		handler(false);
	}
}
