/* font size */

var fontSizes = new Array(100, 130, 160);

function saveFontSize(sizeIndex)
{
	widget.setPreferenceForKey(sizeIndex, 'fontsize');
}
function loadFontSize()
{
	var size = widget.preferenceForKey('fontsize');

	if(size)
	{
		setFontSize(size);
	}
	else
	{
		setFontSize(0);
	}
}

function setFontSize(sizeIndex)
{
	var value = fontSizes[sizeIndex];
	
	for(var i = 0; i < 3; i++)
	{
		$('fontsize_' + i).className = (i == sizeIndex ? 'setting setting_active' : 'setting');
	}
	
	saveFontSize(sizeIndex);
	
	if(is5thEdition())
		value += 50;
		
	document.body.style.fontSize = value + '%';
	
	if(eventsTicker)
		eventsTicker.layout();
	
	layout.setupInterface();
}


/* auto refresh */
var refreshIntervals = new Array(3, 5, 10, 30, 60);
var refreshTimeout = null;

function setAutoRefresh(refreshIndex)
{
	if(refreshTimeout != null)
	{
		clearInterval(refreshTimeout)
	}
	refreshTimeout = setInterval(loadData, refreshIntervals[refreshIndex] * 60 * 1000);

	
	for(var i = 0; i < 5; i++)
	{
		$('refresh_' + i).className = (i == refreshIndex ? 'setting setting_active' : 'setting');
	}
	
	saveAutoRefresh(refreshIndex);
}
function saveAutoRefresh(index)
{
	widget.setPreferenceForKey(index, 'autorefresh');
}
function loadAutoRefresh()
{
	var index = widget.preferenceForKey('autorefresh');

	if(index)
	{
		setAutoRefresh(index);
	}
	else
	{
		setAutoRefresh(0);
	}
}